org.apache.ignite.ml.knn.ann

## Class ANNClassificationTrainer.CentroidStat

- java.lang.Object
- - org.apache.ignite.ml.knn.ann.ANNClassificationTrainer.CentroidStat

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ANNClassificationTrainer

      public static class ANNClassificationTrainer.CentroidStat
      extends Object
      implements Serializable

  Service class used for statistics.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ConcurrentHashMap<Integer,ConcurrentHashMap<Double,Integer>>` | `centroidStat` Count of points closest to the center with a given index.
    `ConcurrentSkipListSet<Double>` | `clsLblsSet` Set of unique labels.
    `ConcurrentHashMap<Integer,Integer>` | `counts` Count of points closest to the center with a given index.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CentroidStat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConcurrentSkipListSet<Double>` | `labels()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### centroidStat

          public ConcurrentHashMap<Integer,ConcurrentHashMap<Double,Integer>> centroidStat

      Count of points closest to the center with a given index.

    - #### counts

          public ConcurrentHashMap<Integer,Integer> counts

      Count of points closest to the center with a given index.

    - #### clsLblsSet

          public ConcurrentSkipListSet<Double> clsLblsSet

      Set of unique labels.

  - ### Constructor Detail

    - #### CentroidStat

          public CentroidStat()

  - ### Method Detail

    - #### labels

          public ConcurrentSkipListSet<Double> labels()

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022